Bug 1632301 - kobo: Remove (sub)packages from Fedora 30+: python2-kobo-admin, python2-kobo-client, python2-kobo-django, python2-kobo-hub...
Summary: kobo: Remove (sub)packages from Fedora 30+: python2-kobo-admin, python2-kobo-...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kobo
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Mach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-24 15:30 UTC by Miro Hrončok
Modified: 2019-01-15 09:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-15 09:45:09 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-24 15:30:43 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of kobo were marked for removal:

 * python2-kobo-admin
 * python2-kobo-client
 * python2-kobo-django
 * python2-kobo-hub
 * python2-kobo-worker

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Petr Viktorin 2019-01-08 15:21:27 UTC
I'm trying to get rid of the compatibility package python2-django1.11, and python2-kobo-django is one of the last few packages that use it in Fedora.

As part of the Mass Python2 Package Removal, I'll remove all python2 packages from the spec, entirely. If you want it done some other way (e.g. keep the spec compatible with other distros), please do the change yourself. If you need time, or anything else, let me know.

Comment 2 Miro Hrončok 2019-01-08 15:33:57 UTC
> I'll remove all python2 packages from the spec, entirely.

Careful not to break stuff:

$ dnf repoquery --repo=rawhide  --repo=rawhide-source --whatrequires python2-kobo | grep -v python2-kobo
freshmaker-0:0.0.4-7.fc29.noarch
freshmaker-0:0.0.4-7.fc29.src
pungi-legacy-0:4.1.31-3.fc30.noarch

Comment 3 Petr Viktorin 2019-01-10 15:44:43 UTC
Ah, sorry. I'll remove only the ones that need Django. The others wouldn't unblock anything at the moment.

Comment 4 Petr Viktorin 2019-01-11 16:49:57 UTC
Actually, the spec was quite nicely compartmentalized, so I just added to existing %ifs:

https://src.fedoraproject.org/rpms/kobo/pull-request/7

Comment 5 Miro Hrončok 2019-01-15 09:45:09 UTC
More or less removed. Closing for now, will open a new one once we need to remove all python2 packages from kobo.


Note You need to log in before you can comment on or make changes to this bug.